#############################################################################
##
#W    init.g    share package 'homology'  Dumas,Heckenbach,Saunders,Welker
##
##    @(#)$Id: 
##

# announce the package version and test for the existence of the binaries
DeclarePackage ("homology", "1.1",
  function ()
    local path, file, name;
    # test for existence of the compiled binaries
    path := DirectoriesPackagePrograms ("homology")[2];
    return ForAll (["homology_gap","smithform_gap"],
      function (name)
        file := Filename (path, name);
        if file = fail then
          Info (InfoWarning, 1, "Package ``homology'': The program `", name, "' is not compiled");
        fi;
          Info (InfoWarning, 1, "Package ``homology'': The program `", file, "' was found");
        return file <> fail;
      end);
  end);

# install the documentation
DeclarePackageAutoDocumentation ("homology", "doc");

# read the declarations
ReadPkg ("homology", "gap/simplicialhomology.gd");
ReadPkg ("homology", "gap/complexes.gd");
ReadPkg ("homology", "gap/smithform.gd");
ReadPkg ("homology", "gap/poset.gd");
ReadPkg ("homology", "gap/subgroupcomplexes.gd");

#############################################################################
##
#E  init.g . . . . . . . . . . . . . . . . . . . . . . . . . . . .  ends here
